Create a support ticket | Moov Documentation

Create a support ticket

Create a support ticket for a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/tickets.write scope.

If you're creating the ticket on behalf of another account, then you'll need to specify the /accounts/{partnerAccountID}/tickets.write and /accounts/{accountID}/profile.read scopes.

POST

/accounts/{accountID}/tickets

Ask

curl -X POST "https://api.moov.io/accounts/{accountID}/tickets" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00" \
  -d '{
  "title": "string",
  "body": "string",
  "contact": {
    "email": "string"
  }
}'

Ask

mc, _ := moov.NewClient()

var accountID string // customer

mc.CreateTicket(ctx, accountID, moov.CreateTicket{
  Title: "Help with problem",
  Body:  "Getting 400 error when using endpoint.",
  Contact: moov.TicketContact{
    Email: "melany.roberts@yahoo.com",
  },
})

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.createTicket({
    accountID: "4af4784a-c777-48f6-8211-063d5341f84b",
    createTicket: {
      title: "<value>",
      body: "<value>",
      contact: {
        email: "Melany.Roberts@yahoo.com",
      },
    },
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\